---
title: "Retrieve PM Punchlist Statuses By Code"
slug: "retrieve-pm-punchlist-statuses-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-pm-punchlist-statuses-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PM Punchlist Statuses By Code

Get/pm-rest-api/rest/1/pmpunchliststatus

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select By Status Code
- By UUID

#### Select By Status Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| StatusCode | Status Code | CLOSED |

#### By UUID

This is an optional finder for querying a specific Punchlist Status by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /pm-rest-api/rest/1/pmpunchliststatus/C2C2FFF46915512EE05316821FACCCE1 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByStatusCode; StatusCode=CLOSED
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExamplePmplsVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='16ec328c-fbdb-412e-9065-6143af00051a'>application/json</option>
</select>

```json
{
  "items": [
    {
      "PmplsIuCreateDate": "2014-04-25T18:39:42Z",
      "PmplsIuUpdateDate": null,
      "PmplsStatusClassCode": "C",
      "PmplsStatusCode": "CLOSED",
      "PmplsStatusName": "Closed",
      "PmplsVUuid": "C2C2FFF46915512EE05316821FACCCE1",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmpunchliststatus/C2C2FFF46915512EE05316821FACCCE1",
          "name": "pmpunchliststatus",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmpunchliststatus/C2C2FFF46915512EE05316821FACCCE1",
          "name": "pmpunchliststatus",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmpunchliststatus",
      "name": "pmpunchliststatus",
      "kind": "collection"
    }
  ]
}
```

object
